<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_374bf250a2cd00d5f5742fea7c48" . "7197" => base64_decode("ZG9jdW1lbn" . "RfdGl0bGU="), "_af9f5df6df6e4ab6fd5318e" . "899627078" => base64_decode("ZG9jdW1lb" . "nRfdHlwZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_374bf250a2cd00d5f5742fea7c" . "487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_af9f5df6df6e4ab6fd5318e8" . "99627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}